<?php

namespace App\Modules\ReviewNotification\Domain;

use App\Modules\Admin\Domain\IdAdmin;
use App\Modules\Language\Domain\IdLanguage;
use App\Modules\Lead\Domain\IdLead;

class UpdateReviewNotification
{

    /** constructor */
    public function __construct(
        private ReviewNotificationDescription $description,
        private ReviewNotificationStatus $status,
        private IdReviewNotification $id
    ) {
    }
    public function getDescription(): ReviewNotificationDescription
    {
        return $this->description;
    }
    public function getStatus(): ReviewNotificationStatus
    {
        return $this->status;
    }
    public function getId(): IdReviewNotification
    {
        return $this->id;
    }
}
